[mapguide-commits] r6772 - trunk/Installer/scripts

svn_mapguide at osgeo.org svn_mapguide at osgeo.org
Sat Jun 16 04:10:19 PDT 2012


Author: jng
Date: 2012-06-16 04:10:19 -0700 (Sat, 16 Jun 2012)
New Revision: 6772

Added:
   trunk/Installer/scripts/mginstallcentos.sh
Modified:
   trunk/Installer/scripts/build.sh
   trunk/Installer/scripts/mginstallubuntu.sh
Log:
Add CentOS install script

Modified: trunk/Installer/scripts/build.sh
===================================================================
--- trunk/Installer/scripts/build.sh	2012-06-15 14:59:11 UTC (rev 6771)
+++ trunk/Installer/scripts/build.sh	2012-06-16 11:10:19 UTC (rev 6772)
@@ -15,9 +15,9 @@
 #SVNRELPATH=/mg-2.4/MgDev
 #SVNROOT="svn://svn.bld.mgproto.net"
 #SVNROOT="http://svn.osgeo.org"
-SVNRELPATH=/mapguide/trunk/MgDev
+SVNRELPATH=/mapguide/branches/2.4/MgDev
 MY_MAKE_OPTS="-j 4"
-UBUNTU=1
+UBUNTU=0
 PRESERVE_BUILD_ROOT=1
 
 echo "******************************************************************"
@@ -122,7 +122,8 @@
 libtoolize --force
 automake --add-missing --copy
 autoconf
-./configure --enable-optimized --prefix=${INSTALLROOT}
+#./configure --enable-optimized --prefix=${INSTALLROOT}
+./configure --prefix=${INSTALLROOT}
 make $MY_MAKE_OPTS
 check_build
 BUILD_COMPONENT="MapGuide Install"

Added: trunk/Installer/scripts/mginstallcentos.sh
===================================================================
--- trunk/Installer/scripts/mginstallcentos.sh	                        (rev 0)
+++ trunk/Installer/scripts/mginstallcentos.sh	2012-06-16 11:10:19 UTC (rev 6772)
@@ -0,0 +1,69 @@
+#!/bin/bash
+#URL="http://download.osgeo.org/mapguide/releases/2.4.0/Beta1"
+URL="http://192.168.0.3/downloads/"
+FDOVER_MAJOR_MINOR=3.7
+FDOVER_MAJOR_MINOR_REV=${FDOVER_MAJOR_MINOR}.0
+FDOVER=${FDOVER_MAJOR_MINOR_REV}.6479
+MGVER_MAJOR_MINOR=2.4
+MGVER_MAJOR_MINOR_REV=${MGVER_MAJOR_MINOR}.0
+MGVER=${MGVER_MAJOR_MINOR_REV}.6757
+FDO_TARBALL=fdosdk-centos5-${FDOVER}.tgz
+MG_TARBALL=mapguideopensource-${MGVER}.tar.gz
+
+# Must have root
+if [[ $EUID -ne 0 ]]; then
+	echo "You must run this script with superuser privileges"
+	exit 1
+fi
+
+if [ ! -f ${FDO_TARBALL} ]; then
+wget -N ${URL}${FDO_TARBALL}
+fi
+
+tar -C / -zxvf ${FDO_TARBALL}
+
+if [ ! -f ${MG_TARBALL} ]; then
+wget -N ${URL}${MG_TARBALL}
+fi
+
+tar -C / -zxvf ${MG_TARBALL}
+
+# All of this is to make SELinux happy
+pushd /usr/local/fdo-${FDOVER_MAJOR_MINOR_REV}/lib
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/server/bin
+chcon -t textrel_shlib_t *.so
+chcon -t textrel_shlib_t mgserver
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/server/lib
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/lib
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/webserverextensions/lib
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/webserverextensions/apache2/lib
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/webserverextensions/apache2/modules
+chcon -t textrel_shlib_t *.so
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/webserverextensions/apache2/bin
+./apachectl start
+popd
+
+pushd /usr/local/mapguideopensource-${MGVER_MAJOR_MINOR_REV}/server/bin
+./mgserverd.sh
+popd
+
+echo DONE


Property changes on: trunk/Installer/scripts/mginstallcentos.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/Installer/scripts/mginstallubuntu.sh
===================================================================
--- trunk/Installer/scripts/mginstallubuntu.sh	2012-06-15 14:59:11 UTC (rev 6771)
+++ trunk/Installer/scripts/mginstallubuntu.sh	2012-06-16 11:10:19 UTC (rev 6772)
@@ -1,6 +1,6 @@
 #!/bin/bash
 TEMPDIR=/tmp/build_mapguide
-#URL="http://download.osgeo.org/mapguide/releases/2.4.0/Test/ubuntu11"
+#URL="http://download.osgeo.org/mapguide/releases/2.4.0/B/ubuntu11"
 URL="http://192.168.0.2/downloads/ubuntu11"
 FDOVER_MAJOR_MINOR=3.7
 FDOVER_MAJOR_MINOR_REV=${FDOVER_MAJOR_MINOR}.0
@@ -85,11 +85,9 @@
 		    shp    		"OSGeo FDO Provider for SHP" ON \
 		    sqlite 		"OSGeo FDO Provider for SQLite" ON \
 		    gdal    	"OSGeo FDO Provider for GDAL" ON \
-   		    odbc    	"OSGeo FDO Provider for ODBC" off \
    		    ogr    		"OSGeo FDO Provider for OGR" ON \
    		    kingoracle  "OSGeo FDO Provider for Oracle" off \
-   		    postgis    	"OSGeo FDO Provider for PostgreSQL" off \
-   		    mysql    	"OSGeo FDO Provider for MySQL" off \
+		    rdbms	"RDBMS FDO Providers (ODBC, MySQL, PostgreSQL)" off \
    		    wfs    		"OSGeo FDO Provider for WFS" ON \
 		    wms   		"OSGeo FDO Provider for WMS" ON  2> $tempfile
 



More information about the mapguide-commits mailing list